local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale

local AddonModul = Gnoll.Data.AddonModul
local AddonModulData = Gnoll.Data.AddonModulData
local AddonModulLoot = Gnoll.Data.AddonModulLoot
local AddonModulKat = Gnoll.Data.AddonModulKat

	------------------------------------------------ PvP ------------------------------------------------
	
	AddonModulData[5] = { GL["Mounts"],GL["Season"].." ".."0".." ".."Classic",GL["Season"].." ".."1".." ".."Burning Crusade",GL["Season"].." ".."19".." ".."Legion",--[[GL["Season"].." ".."2".." ".."Burning Crusade",GL["Season"].." ".."3".." ".."Burning Crusade",GL["Season"].." ".."4".." ".."Burning Crusade",GL["Season"].." ".."5".." ".."Wrath of the Lich King",GL["Season"].." ".."6".." ".."Wrath of the Lich King",GL["Season"].." ".."7".." ".."Wrath of the Lich King",GL["Season"].." ".."8".." ".."Wrath of the Lich King",GL["Season"].." ".."9".." ".."Cataclysm",GL["Season"].." ".."10".." ".."Cataclysm",GL["Season"].." ".."11".." ".."Cataclysm",GL["Season"].." ".."12".." ".."Mists of Pandaria",GL["Season"].." ".."13".." ".."Mists of Pandaria",GL["Season"].." ".."14".." ".."Mists of Pandaria",GL["Season"].." ".."15".." ".."Mists of Pandaria",GL["Season"].." ".."16".." ".."Warlords of Draenor",GL["Season"].." ".."17".." ".."Warlords of Draenor",GL["Season"].." ".."18".." ".."Warlords of Draenor"]] }

	------------------------------------------------ Mounts
	
--[[ Mounts ]]					AddonModulKat[5][1] = { GL["Prestige"].." "..GL["Mounts"],GL["Arena"].." "..GL["Mounts"],GL["Horde"] }
--[[ Prestige Mounts ]]					AddonModulLoot[5][1][1] = { 140228,140233 }
--[[ Arena Mounts ]]					AddonModulLoot[5][1][2] = { "d###Legion","d###Season 1",141843,"d###Season 2",141844,"d###Season 3",141845,"d###Season 4",141846,"t###","t###No Longer Available","d###Warlords of Draenor",128277,128281,128282,"t###","t###","t###","t###","t###","t###No Longer Available","d###Mists of Pandaria",95041,104325,104326,104327,"t###","t###","t###","t###","t###No Longer Available","d###Cataclysm",71339,71954,85785,"t###","t###","t###","t###","t###","t###No Longer Available","d###Wrath of the Lich King",46708,46171,47840,50435,"t###","t###","t###","t###","t###No Longer Available","d###Burning Crusade",30609,34092,37676,43516 }
--[[ Horde ]]							AddonModulLoot[5][1][3] = { "70910p###1w###10022","116778p###1w###10022","124540p###1w###10022","102533p###1w###10022","140354p###1w###10022","140348p###1w###10022","t###","t###","t###","t###","29466p###15w###10023","29469p###15w###10023","29470p###15w###10023","34129p###15w###10023","29472p###15w###10023" }


	------------------------------------------------ Season 0 Classic

--[[ Season 0 - Allianz ]]		AddonModulKat[5][2] = { GL["Armor"],GL["Weapons"],GL["Miscellaneous"],"c###1","c###2","c###3","c###4","c###5","c###7","c###8","c###9","c###11" }
--[[ Season 0 - Armor ]]				AddonModulLoot[5][2][1] = { "t###Plate",18429,18430,"t###","t###Mail",16532,18432,"t###","t###","t###","t###Leather",18434,18436,16497,18435,"t###","t###Cloth",16486,18437,"t###",18461,16341,18427 }
--[[ Season 0 - Weapons ]]				AddonModulLoot[5][2][2] = { 18868,23465,18877,18874,18871,18831,"t###",18826,23468,23469,23464,23466,23467,18866,18848,18844,90819,18828,16345,"t###",18860,18837,18835 }
--[[ Season 0 - Verschiedenes ]]		AddonModulLoot[5][2][3] = { 15197,15199 }
--[[ Season 0 - Krieger ]]				AddonModulLoot[5][2][4] = { 23244,23243,22872,22868,22873,22858,"t###","t###","t###","t###",16542,16544,16541,16548,16543,16545 }
--[[ Season 0 - Paladin ]]				AddonModulLoot[5][2][5] = { 29604,29605,29602,29600,29603,29601,"t###","t###","t###","t###",29616,29617,29615,29613,29614,29612 }
--[[ Season 0 - Jäger ]]				AddonModulLoot[5][2][6] = { 23251,23252,22874,22862,22875,22843,"t###","t###","t###","t###",16566,16568,16565,16571,16567,16569 }
--[[ Season 0 - Schurke ]]				AddonModulLoot[5][2][7] = { 23257,23258,22879,22864,22880,22856,"t###","t###","t###","t###",16561,16562,16563,16560,16564,16558 }
--[[ Season 0 - Priester ]]				AddonModulLoot[5][2][8] = { 23261,23262,22885,22869,22882,23289,"t###","t###","t###","t###",17623,17622,17624,17620,17625,17618 }
--[[ Season 0 - Schamane ]]				AddonModulLoot[5][2][9] = { 23259,23260,22876,22867,22887,22857,"t###","t###","t###","t###",16578,16580,16577,16574,16579,16573 }
--[[ Season 0 - Magier ]]				AddonModulLoot[5][2][10] = { 23263,23264,22886,22870,22883,22860,"t###","t###","t###","t###",17623,17622,17624,17620,17625,17618 }
--[[ Season 0 - Hexenmeister ]]			AddonModulLoot[5][2][11] = { 23255,23256,22884,22865,22881,22855,"t###","t###","t###","t###",17591,17590,17592,17588,17593,17586 }
--[[ Season 0 - Druide ]]				AddonModulLoot[5][2][12] = { 23253,23254,22877,22863,22878,22852,"t###","t###","t###","t###",16550,16551,16549,16555,16552,16554 }		

	------------------------------------------------ Gladiator	

--[[ Season 1 ]]				AddonModulKat[5][3] = { GL["Armor"],GL["Weapons"],"c###1","c###2","c###3","c###4","c###5","c###7","c###8","c###9","c###11" }
--[[ Season 1 - Armor ]]				AddonModulLoot[4][3][1] = { "t###Plate",32984,29000,30491,"t###","t###Mail",28994,28630,28449,"t###","t###Leather",28447,28444,28987,"t###","t###Cloth",28982,28410 }
--[[ Season 1 - Weapons ]]				AddonModulLoot[4][3][2] = { 28299,28476,28298,24557,28300,24550,"t###",28358,32452,28346,28308,28309,28312,28310,28313,28314,28305,28302,28307,28295,32450,32451,28297,"t###",28320,28294 }
--[[ Season 1 - Krieger ]]				AddonModulLoot[4][3][3] = { 24545,24546,24544,24549,24547 }
--[[ Season 1 - Paladin ]]				AddonModulLoot[4][3][4] = { "d###Retribution",27704,27706,27702,27703,27705,"t###","t###","t###","t###","d###Protection",27881,27883,27879,27880,27882,"t###","t###","t###","t###","d###Holy",31616,31619,31613,31614,31618 }
--[[ Season 1 - Jäger ]]				AddonModulLoot[4][3][5] = { 28331,28333,28334,28335,28332 }
--[[ Season 1 - Schurke ]]				AddonModulLoot[4][3][6] = { 25830 ,25832,25831,25834,25833 }
--[[ Season 1 - Priester ]]				AddonModulLoot[4][3][7] = { "d###Holy",31410,31412,31413,31409,31411,"t###","t###","t###","t###","d###Shadow",27708,27710,27711,27707,27709 }
--[[ Season 1 - Schamane ]]				AddonModulLoot[4][3][8] = { "d###Enhancement",25998,25999,25997,26000,26001,"t###","t###","t###","t###","d###Elemental",27471,27473,27469,27470,27472,"t###","t###","t###","t###","d###Restoration",31400,31407,31396,31397,31406 }
--[[ Season 1 - Magier ]]				AddonModulLoot[4][3][9] = { 25855,25854,25856,25857,25858 }
--[[ Season 1 - Hexenmeister ]]			AddonModulLoot[4][3][10] = { 24553,24554,24552,24556,24555,"t###","t###","t###","t###","t###",30187,30186,30200,30188,30201 }
--[[ Season 1 - Druide ]]				AddonModulLoot[4][3][11] = { "d###Feral",28127,28129,28130,28126,28128,"t###","t###","t###","t###","d###Restoration",31376,31378,31379,31375,31377,"t###","t###","t###","t###","d###Balance",28137,28139,28140,28136,28138 }	

	------------------------------------------------ Vindictive - Rachgierig	

--[[ Season 19 ]]				AddonModulKat[5][4] = { GL["Miscellaneous"],"c###1","c###2","c###3","c###4","c###5","c###6","c###7","c###8","c###9","c###10","c###11","c###12" }
--[[ Season 19 - Verschiedenes ]]		AddonModulLoot[5][4][1] = { "d###ItemLevel 810",136020,136024,136028,136023,136026,136894,136021,136025,136029,"d###ItemLevel 840",135794,135798,135802,135797,135800,136892,135795,135799,135803,"d###ItemLevel 870 - Elite",136246,136250,136254,136249,136252,136896,136247,136251,136255,"d###ItemLevel 810",136031,136040,136037,136032,136041,136038,136033,136034,136035,"d###ItemLevel 840",135805,135814,135811,135806,135815,135812,135807,135808,135809,"d###ItemLevel 870 - Elite",136257,136266,136263,136258,136267,136264,136259,136260,136261,"d###ItemLevel 810",136030,136039,136036,136042,"t###","t###","t###","t###","t###","d###ItemLevel 840",135804,135813,135810,135816,"t###","t###","t###","t###","t###","d###ItemLevel 870 - Elite",136256,136265,136262,136268 }
--[[ Season 19 - Krieger ]]				AddonModulLoot[5][4][2] = { "d###ItemLevel 810",136013,136015,136888,136010,136017,136012,136016,136014,136011,"d###ItemLevel 840",135787,135789,136886,135784,135791,135786,135790,135788,135785,"d###ItemLevel 870 - Elite",136239,136241,136890,136236,136243,136238,136242,136240,136237 }
--[[ Season 19 - Paladin ]]				AddonModulLoot[5][4][3] = { "d###ItemLevel 810",135973,135975,136027,135970,135977,135972,135976,135974,135971,"d###ItemLevel 840",135747,135749,135801,135744,135751,135746,135750,135748,135745,"d###ItemLevel 870 - Elite",136199,136201,136253,136196,136203,136198,136202,136200,136197 }
--[[ Season 19 - Jäger ]]				AddonModulLoot[5][4][4] = { "d###ItemLevel 810",135949,135951,136026,135946,135953,135948,135952,135950,135947,"d###ItemLevel 840",135723,135725,135800,135720,135727,135722,135726,135724,135721,"d###ItemLevel 870 - Elite",136175,136177,136252,136172,136179,136174,136178,136176,136173 }
--[[ Season 19 - Schurke ]]				AddonModulLoot[5][4][5] = { "d###ItemLevel 810",135989,135991,136026,135986,135993,135988,135992,135990,135987,"d###ItemLevel 840",135763,135765,135800,135760,135767,135762,135766,135764,135761,"d###ItemLevel 870 - Elite",136215,136217,136252,136212,136219,136214,136218,136216,136213 }
--[[ Season 19 - Priester ]]			AddonModulLoot[5][4][6] = { "d###ItemLevel 810",135980,135983,136870,135982,135985,135979,135984,135981,135978,"d###ItemLevel 840",135754,135757,136864,135756,135759,135753,135758,135755,135752,"d###ItemLevel 870 - Elite",136206,136209,136876,136208,136211,136205,136210,136207,136204 }
--[[ Season 19 - Todesritter ]]			AddonModulLoot[5][4][7] = { "d###ItemLevel 810",135933,135935,136018,135930,135937,135932,135936,135934,135931,"d###ItemLevel 840",135707,135709,136244,135704,135711,135706,135710,135708,135705,"d###ItemLevel 870 - Elite",136159,136161,136244,136156,136163,136158,136162,136160,136157 }			
--[[ Season 19 - Schamane ]]			AddonModulLoot[5][4][8] = { "d###ItemLevel 810",135997,135999,136872,135994,136001,135996,136000,135998,135995,"d###ItemLevel 840",135771,135773,136866,135768,135775,135770,135774,135772,135769,"d###ItemLevel 870 - Elite",136223,136225,136249,136220,136227,136222,136226,136224,136221 }
--[[ Season 19 - Magier ]]				AddonModulLoot[5][4][9] = { "d###ItemLevel 810",135956,135959,136019,135958,135961,135955,135960,135957,135954,"d###ItemLevel 840",135730,135733,135793,135732,135735,135729,135734,135731,135728,"d###ItemLevel 870 - Elite",136182,136185,136245,136184,136187,136181,136186,136183,136180 }
--[[ Season 19 - Hexenmeister ]]		AddonModulLoot[5][4][10] = { "d###ItemLevel 810",136004,136007,136882,136006,136009,136003,136008,136005,136002,"d###ItemLevel 840",135778,135781,136880,135780,135783,135777,135782,135779,135776,"d###ItemLevel 870 - Elite",136230,136233,136884,136232,136235,136229,136234,136231,136228 }
--[[ Season 19 - Mönch ]]				AddonModulLoot[5][4][11] = { "d###ItemLevel 810",135964,135966,136023,135967,135969,135963,135968,135965,135962,"d###ItemLevel 840",135738,135740,135797,135741,135743,135737,135742,135739,135736,"d###ItemLevel 870 - Elite",136190,136192,136249,136193,136195,136189,136194,136191,136188 }			
--[[ Season 19 - Druide ]]				AddonModulLoot[5][4][12] = { "d###ItemLevel 810",135940,135943,136022,135942,135945,135939,135944,135941,135938,"d###ItemLevel 840",135714,135717,135796,135716,135719,135713,135718,135715,135712,"d###ItemLevel 870 - Elite",136166,136169,136248,136168,136171,136165,136170,136167,136164 }			
--[[ Season 19 - Dämonenjäger ]]		AddonModulLoot[5][4][13] = { "d###ItemLevel 810",136305,136308,136894,136307,136310,136304,136309,136306,136303,"d###ItemLevel 840",136289,136292,136892,136291,136294,136288,136293,136290,136287,"d###ItemLevel 870 - Elite",136321,136324,136896,136323,136326,136320,136325,136322,136319 }		
	

	Gnoll.Data.AddonModul = AddonModul
	Gnoll.Data.AddonModulData = AddonModulData
	Gnoll.Data.AddonModulLoot = AddonModulLoot
	Gnoll.Data.AddonModulKat = AddonModulKat