﻿local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local LDB = LibStub("LibDataBroker-1.1", true)

function OnClickMinimap(self, button,arg1,arg2)
	if button == "LeftButton" then 
		if Hauptfenster:IsShown() == true then 
			Hauptfenster:Hide()
		else
			Hauptfenster:Show()
		end
		
	elseif button == "RightButton" then
		local count = 0
		for k,v in pairs(Gnoll.DB["favoriten"]) do
			count = count + 1
		end
		if count >= 1 then
			UIDropDownMenu_Initialize(MiniMapDropDown, initializeMinimap, "MENU")
			ToggleDropDownMenu(1, nil, MiniMapDropDown, self, -20, 0)
		end
		
	 elseif button == nil then
		 QuickSelect(self["value"][1],self["value"][2],self["value"][3])
	end
end

local function OnEnter(self)
	GameTooltip:SetOwner(self, "ANCHOR_NONE")
	GameTooltip:SetPoint("BOTTOM", self, "TOP", 0, 5)
	GameTooltip:SetText("|cff00bfffGnoll|r v399", 1, 1, 1)
	GameTooltip:AddLine("|cff00bfff"..GL["MapML"], 0, 1, 0)
	GameTooltip:AddLine("|cff00bfff"..GL["MapMR"], 0, 1, 0)
	GameTooltip:SetSize(170,58)
end

local function OnLeave(self)
	GameTooltip:Hide()
end


function initializeMinimap(self, level)
   local info = UIDropDownMenu_CreateInfo()
   for k,v in pairs(Gnoll.DB["favoriten"]) do   
	  info = UIDropDownMenu_CreateInfo()
	  info.text = v[1]
	  info.value = v[2]
	  info.func = OnClickMinimap
	  UIDropDownMenu_AddButton(info, level)
   end
end

CreateFrame("Button", "MiniMapDropDown", Gnoll_MiniMapButton, "UIDropDownMenuTemplate")


